%define lib_major 0
%define __lib_name_orig alsa-oss
%define lib_name_orig lib%__lib_name_orig
%define lib_name %mklibname %__lib_name_orig %lib_major
%define fname alsa-oss-%version

Summary:	Advanced Linux Sound Architecture (ALSA) library
Name:		%lib_name
Version:	1.0.9
Release:	1mdk
Epoch:		1
Source0:	ftp://ftp.alsa-project.org/pub/oss-lib/%fname.tar.bz2
Patch0:     alsa-oss-1.0.6-solink-fix.patch.bz2
License:	GPL
Url:		http://www.alsa-project.org/
BuildRoot:	%_tmppath/%name-%version-root
Group:		Sound
#Group: System/Libraries
Requires:	kernel >= 2.4.18
Provides:   alsa-oss, %lib_name_orig = %version
Obsoletes:  alsa-oss, %lib_name_orig
BuildRequires: doxygen libalsa-devel > 1.0.5

%description
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility

%package -n %{lib_name}-devel
Summary:    Development files for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %lib_name = %epoch:%version
Provides:   %lib_name_orig-devel = %version-%release
Obsoletes:  %lib_name_orig-devel

%description -n %{lib_name}-devel
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains files needed in order to develop an application
that made use of ALSA.

%package -n aoss
Summary:    Wrapper script to ease ALSA-OSS compatibility library usage
Group:      Development/C
Requires:   %lib_name = %epoch:%version
%description -n aoss
aoss is a simple wrapper script which facilitates the use
of the ALSA OSS compatibility library.
It just sets the appropriate LD_PRELOAD path and then runs the command.

This is useful in cases where routing settings (which can
be made in your .asoundrc file) need to be applied to com
mands that use the OSS API.


%prep
%setup -q -n %fname
%patch0 -p0

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%_includedir/sys
mkdir -p $RPM_BUILD_ROOT%_libdir
%makeinstall
rm -f $RPM_BUILD_ROOT%_libdir/libaoss.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-, root, root)
%doc COPYING
%_libdir/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_bindir/*
%_includedir/oss-redir.h

%files -n aoss
%defattr(-,root,root)
%doc COPYING
%_bindir/aoss
%_mandir/man1/aoss.1.bz2


%changelog
* Fri May 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Mon May 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.1mdk
- new release

* Fri Apr 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc2.1mdk
- new release

* Mon Mar 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-2mdk
- fix requires

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Fri Jan 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.1mdk
- new release

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.7-1mdk
- new release

* Mon Nov 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-2mdk
- patch 0: fix aoss script (#12281)
- fix requires and libification

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release
- clean build

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Tue Feb 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-3mdk
- fix changelog

* Tue Feb 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- fix unstallable package

* Fri Jan 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Tue Aug 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-1mdk
- new release

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.8rc1mdk
- fix "let's obsolete myself" bug catched by distriblint

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc1mdk
- fix provides/obsoletes conflict with libalsa2 (Andi Payn)

* Tue Apr 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.5rc1mdk
- fix buildrequires

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1mdk
- rebuild againts latest libalsa
- fix build with latest automake
- remove unpackaged static lib

* Thu Jul 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3rc1mdk
- fix url

* Wed May 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2rc1mdk
- build release

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1rc1mdk
- release candidate 1

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-1beta11mdk
- initial release
